[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetColumnAlignment

Gets the horizontal Alignment for the specified column.

## Declaration

Source position: grids.pas line 1089

`protected function TCustomGrid.GetColumnAlignment(`
`Column: Integer;`
`ForTitle: Boolean`
`):TAlignment;`

## Arguments

`Column` |  | Column number examined in the grid.
`ForTitle` |  | True when the alignment in the column title is used.

## Function result

TAlignment value for the column.

## Description

Calls ColumnFromGridColumn to get the TGridColumn instance in Columns for the column number in the Column parameter.

ForTitle indicates the alignment used as the return value for the specified column number. When set to True, the alignment for the Title in the TGridColumn instance is used as the return value. Otherwise, the alignment property in the TGridColumn instance is used as the return value.

Called from the PrepareCanvas and DrawGridCheckboxBitmaps methods.